"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

/**
 * The ContractModel model module.
 * @module model/ContractModel
 * @version 1.0.1
 */
var ContractModel = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>ContractModel</code>.
   * @alias module:model/ContractModel
   */
  function ContractModel() {
    _classCallCheck(this, ContractModel);

    ContractModel.initialize(this);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(ContractModel, null, [{
    key: "initialize",
    value: function initialize(obj) {}
    /**
     * Constructs a <code>ContractModel</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/ContractModel} obj Optional instance to populate.
     * @return {module:model/ContractModel} The populated <code>ContractModel</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new ContractModel();

        if (data.hasOwnProperty('id')) {
          obj['id'] = _ApiClient["default"].convertToType(data['id'], 'String');
        }

        if (data.hasOwnProperty('gameId')) {
          obj['gameId'] = _ApiClient["default"].convertToType(data['gameId'], 'String');
        }

        if (data.hasOwnProperty('chain')) {
          obj['chain'] = _ApiClient["default"].convertToType(data['chain'], 'String');
        }

        if (data.hasOwnProperty('abi')) {
          obj['abi'] = _ApiClient["default"].convertToType(data['abi'], Object);
        }

        if (data.hasOwnProperty('type')) {
          obj['type'] = _ApiClient["default"].convertToType(data['type'], 'String');
        }

        if (data.hasOwnProperty('address')) {
          obj['address'] = _ApiClient["default"].convertToType(data['address'], 'String');
        }

        if (data.hasOwnProperty('updatedAt')) {
          obj['updatedAt'] = _ApiClient["default"].convertToType(data['updatedAt'], 'String');
        }

        if (data.hasOwnProperty('createdAt')) {
          obj['createdAt'] = _ApiClient["default"].convertToType(data['createdAt'], 'String');
        }
      }

      return obj;
    }
  }]);

  return ContractModel;
}();
/**
 * This field has not had a description added.
 * @member {String} id
 */


ContractModel.prototype['id'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} gameId
 */

ContractModel.prototype['gameId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} chain
 */

ContractModel.prototype['chain'] = undefined;
/**
 * This field has not had a description added.
 * @member {Object} abi
 */

ContractModel.prototype['abi'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} type
 */

ContractModel.prototype['type'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} address
 */

ContractModel.prototype['address'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} updatedAt
 */

ContractModel.prototype['updatedAt'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} createdAt
 */

ContractModel.prototype['createdAt'] = undefined;
var _default = ContractModel;
exports["default"] = _default;