"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

var _TransactionModel = _interopRequireDefault(require("./TransactionModel"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

/**
 * The CreateCurrency200ResponseAllOfContractAllOf model module.
 * @module model/CreateCurrency200ResponseAllOfContractAllOf
 * @version 1.0.1
 */
var CreateCurrency200ResponseAllOfContractAllOf = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>CreateCurrency200ResponseAllOfContractAllOf</code>.
   * @alias module:model/CreateCurrency200ResponseAllOfContractAllOf
   */
  function CreateCurrency200ResponseAllOfContractAllOf() {
    _classCallCheck(this, CreateCurrency200ResponseAllOfContractAllOf);

    CreateCurrency200ResponseAllOfContractAllOf.initialize(this);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(CreateCurrency200ResponseAllOfContractAllOf, null, [{
    key: "initialize",
    value: function initialize(obj) {}
    /**
     * Constructs a <code>CreateCurrency200ResponseAllOfContractAllOf</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/CreateCurrency200ResponseAllOfContractAllOf} obj Optional instance to populate.
     * @return {module:model/CreateCurrency200ResponseAllOfContractAllOf} The populated <code>CreateCurrency200ResponseAllOfContractAllOf</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new CreateCurrency200ResponseAllOfContractAllOf();

        if (data.hasOwnProperty('transactions')) {
          obj['transactions'] = _ApiClient["default"].convertToType(data['transactions'], [_TransactionModel["default"]]);
        }
      }

      return obj;
    }
  }]);

  return CreateCurrency200ResponseAllOfContractAllOf;
}();
/**
 * @member {Array.<module:model/TransactionModel>} transactions
 */


CreateCurrency200ResponseAllOfContractAllOf.prototype['transactions'] = undefined;
var _default = CreateCurrency200ResponseAllOfContractAllOf;
exports["default"] = _default;