"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

/**
 * The TransactionModel model module.
 * @module model/TransactionModel
 * @version 1.0.1
 */
var TransactionModel = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>TransactionModel</code>.
   * @alias module:model/TransactionModel
   */
  function TransactionModel() {
    _classCallCheck(this, TransactionModel);

    TransactionModel.initialize(this);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(TransactionModel, null, [{
    key: "initialize",
    value: function initialize(obj) {}
    /**
     * Constructs a <code>TransactionModel</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/TransactionModel} obj Optional instance to populate.
     * @return {module:model/TransactionModel} The populated <code>TransactionModel</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new TransactionModel();

        if (data.hasOwnProperty('id')) {
          obj['id'] = _ApiClient["default"].convertToType(data['id'], 'String');
        }

        if (data.hasOwnProperty('contractId')) {
          obj['contractId'] = _ApiClient["default"].convertToType(data['contractId'], 'String');
        }

        if (data.hasOwnProperty('walletId')) {
          obj['walletId'] = _ApiClient["default"].convertToType(data['walletId'], 'String');
        }

        if (data.hasOwnProperty('function')) {
          obj['function'] = _ApiClient["default"].convertToType(data['function'], 'String');
        }

        if (data.hasOwnProperty('args')) {
          obj['args'] = _ApiClient["default"].convertToType(data['args'], Object);
        }

        if (data.hasOwnProperty('hash')) {
          obj['hash'] = _ApiClient["default"].convertToType(data['hash'], 'String');
        }

        if (data.hasOwnProperty('updatedAt')) {
          obj['updatedAt'] = _ApiClient["default"].convertToType(data['updatedAt'], 'String');
        }

        if (data.hasOwnProperty('createdAt')) {
          obj['createdAt'] = _ApiClient["default"].convertToType(data['createdAt'], 'String');
        }
      }

      return obj;
    }
  }]);

  return TransactionModel;
}();
/**
 * This field has not had a description added.
 * @member {String} id
 */


TransactionModel.prototype['id'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} contractId
 */

TransactionModel.prototype['contractId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} walletId
 */

TransactionModel.prototype['walletId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} function
 */

TransactionModel.prototype['function'] = undefined;
/**
 * This field has not had a description added.
 * @member {Object} args
 */

TransactionModel.prototype['args'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} hash
 */

TransactionModel.prototype['hash'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} updatedAt
 */

TransactionModel.prototype['updatedAt'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} createdAt
 */

TransactionModel.prototype['createdAt'] = undefined;
var _default = TransactionModel;
exports["default"] = _default;