"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

var _GameModel = _interopRequireDefault(require("./GameModel"));

var _V1GamesGet200ResponseAllOf = _interopRequireDefault(require("./V1GamesGet200ResponseAllOf"));

var _V1GamesGet200ResponseAllOf2 = _interopRequireDefault(require("./V1GamesGet200ResponseAllOf1"));

var _WalletModel = _interopRequireDefault(require("./WalletModel"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

/**
 * The V1GamesGet200Response model module.
 * @module model/V1GamesGet200Response
 * @version 1.0.0
 */
var V1GamesGet200Response = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>V1GamesGet200Response</code>.
   * @alias module:model/V1GamesGet200Response
   * @implements module:model/GameModel
   * @implements module:model/V1GamesGet200ResponseAllOf
   * @implements module:model/V1GamesGet200ResponseAllOf1
   */
  function V1GamesGet200Response() {
    _classCallCheck(this, V1GamesGet200Response);

    _GameModel["default"].initialize(this);

    _V1GamesGet200ResponseAllOf["default"].initialize(this);

    _V1GamesGet200ResponseAllOf2["default"].initialize(this);

    V1GamesGet200Response.initialize(this);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(V1GamesGet200Response, null, [{
    key: "initialize",
    value: function initialize(obj) {}
    /**
     * Constructs a <code>V1GamesGet200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/V1GamesGet200Response} obj Optional instance to populate.
     * @return {module:model/V1GamesGet200Response} The populated <code>V1GamesGet200Response</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new V1GamesGet200Response();

        _GameModel["default"].constructFromObject(data, obj);

        _V1GamesGet200ResponseAllOf["default"].constructFromObject(data, obj);

        _V1GamesGet200ResponseAllOf2["default"].constructFromObject(data, obj);

        if (data.hasOwnProperty('id')) {
          obj['id'] = _ApiClient["default"].convertToType(data['id'], 'String');
        }

        if (data.hasOwnProperty('walletId')) {
          obj['walletId'] = _ApiClient["default"].convertToType(data['walletId'], 'String');
        }

        if (data.hasOwnProperty('fundingWalletId')) {
          obj['fundingWalletId'] = _ApiClient["default"].convertToType(data['fundingWalletId'], 'String');
        }

        if (data.hasOwnProperty('email')) {
          obj['email'] = _ApiClient["default"].convertToType(data['email'], 'String');
        }

        if (data.hasOwnProperty('name')) {
          obj['name'] = _ApiClient["default"].convertToType(data['name'], 'String');
        }

        if (data.hasOwnProperty('rpcs')) {
          obj['rpcs'] = _ApiClient["default"].convertToType(data['rpcs'], Object);
        }

        if (data.hasOwnProperty('publishedKey')) {
          obj['publishedKey'] = _ApiClient["default"].convertToType(data['publishedKey'], 'String');
        }

        if (data.hasOwnProperty('secretKey')) {
          obj['secretKey'] = _ApiClient["default"].convertToType(data['secretKey'], 'String');
        }

        if (data.hasOwnProperty('updatedAt')) {
          obj['updatedAt'] = _ApiClient["default"].convertToType(data['updatedAt'], 'String');
        }

        if (data.hasOwnProperty('createdAt')) {
          obj['createdAt'] = _ApiClient["default"].convertToType(data['createdAt'], 'String');
        }

        if (data.hasOwnProperty('wallet')) {
          obj['wallet'] = _WalletModel["default"].constructFromObject(data['wallet']);
        }

        if (data.hasOwnProperty('fundingWallet')) {
          obj['fundingWallet'] = _WalletModel["default"].constructFromObject(data['fundingWallet']);
        }
      }

      return obj;
    }
  }]);

  return V1GamesGet200Response;
}();
/**
 * This field has not had a description added.
 * @member {String} id
 */


V1GamesGet200Response.prototype['id'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} walletId
 */

V1GamesGet200Response.prototype['walletId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} fundingWalletId
 */

V1GamesGet200Response.prototype['fundingWalletId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} email
 */

V1GamesGet200Response.prototype['email'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} name
 */

V1GamesGet200Response.prototype['name'] = undefined;
/**
 * This field has not had a description added.
 * @member {Object} rpcs
 */

V1GamesGet200Response.prototype['rpcs'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} publishedKey
 */

V1GamesGet200Response.prototype['publishedKey'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} secretKey
 */

V1GamesGet200Response.prototype['secretKey'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} updatedAt
 */

V1GamesGet200Response.prototype['updatedAt'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} createdAt
 */

V1GamesGet200Response.prototype['createdAt'] = undefined;
/**
 * @member {module:model/WalletModel} wallet
 */

V1GamesGet200Response.prototype['wallet'] = undefined;
/**
 * @member {module:model/WalletModel} fundingWallet
 */

V1GamesGet200Response.prototype['fundingWallet'] = undefined; // Implement GameModel interface:

/**
 * This field has not had a description added.
 * @member {String} id
 */

_GameModel["default"].prototype['id'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} walletId
 */

_GameModel["default"].prototype['walletId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} fundingWalletId
 */

_GameModel["default"].prototype['fundingWalletId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} email
 */

_GameModel["default"].prototype['email'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} name
 */

_GameModel["default"].prototype['name'] = undefined;
/**
 * This field has not had a description added.
 * @member {Object} rpcs
 */

_GameModel["default"].prototype['rpcs'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} publishedKey
 */

_GameModel["default"].prototype['publishedKey'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} secretKey
 */

_GameModel["default"].prototype['secretKey'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} updatedAt
 */

_GameModel["default"].prototype['updatedAt'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} createdAt
 */

_GameModel["default"].prototype['createdAt'] = undefined; // Implement V1GamesGet200ResponseAllOf interface:

/**
 * @member {module:model/WalletModel} wallet
 */

_V1GamesGet200ResponseAllOf["default"].prototype['wallet'] = undefined; // Implement V1GamesGet200ResponseAllOf1 interface:

/**
 * @member {module:model/WalletModel} fundingWallet
 */

_V1GamesGet200ResponseAllOf2["default"].prototype['fundingWallet'] = undefined;
var _default = V1GamesGet200Response;
exports["default"] = _default;