"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "ApiClient", {
  enumerable: true,
  get: function get() {
    return _ApiClient["default"];
  }
});
Object.defineProperty(exports, "AuthGame200Response", {
  enumerable: true,
  get: function get() {
    return _AuthGame200Response["default"];
  }
});
Object.defineProperty(exports, "AuthGame200ResponseAllOf", {
  enumerable: true,
  get: function get() {
    return _AuthGame200ResponseAllOf["default"];
  }
});
Object.defineProperty(exports, "AuthGame200ResponseAllOf1", {
  enumerable: true,
  get: function get() {
    return _AuthGame200ResponseAllOf2["default"];
  }
});
Object.defineProperty(exports, "AuthPlayer200Response", {
  enumerable: true,
  get: function get() {
    return _AuthPlayer200Response["default"];
  }
});
Object.defineProperty(exports, "BatchTransferCurrencyRequest", {
  enumerable: true,
  get: function get() {
    return _BatchTransferCurrencyRequest["default"];
  }
});
Object.defineProperty(exports, "BurnCurrencyRequest", {
  enumerable: true,
  get: function get() {
    return _BurnCurrencyRequest["default"];
  }
});
Object.defineProperty(exports, "ContractModel", {
  enumerable: true,
  get: function get() {
    return _ContractModel["default"];
  }
});
Object.defineProperty(exports, "ContractsApi", {
  enumerable: true,
  get: function get() {
    return _ContractsApi["default"];
  }
});
Object.defineProperty(exports, "CreateContractRequest", {
  enumerable: true,
  get: function get() {
    return _CreateContractRequest["default"];
  }
});
Object.defineProperty(exports, "CreateCurrency200Response", {
  enumerable: true,
  get: function get() {
    return _CreateCurrency200Response["default"];
  }
});
Object.defineProperty(exports, "CreateCurrency200ResponseAllOf", {
  enumerable: true,
  get: function get() {
    return _CreateCurrency200ResponseAllOf["default"];
  }
});
Object.defineProperty(exports, "CreateCurrency200ResponseAllOfContract", {
  enumerable: true,
  get: function get() {
    return _CreateCurrency200ResponseAllOfContract["default"];
  }
});
Object.defineProperty(exports, "CreateCurrency200ResponseAllOfContractAllOf", {
  enumerable: true,
  get: function get() {
    return _CreateCurrency200ResponseAllOfContractAllOf["default"];
  }
});
Object.defineProperty(exports, "CreateCurrencyRequest", {
  enumerable: true,
  get: function get() {
    return _CreateCurrencyRequest["default"];
  }
});
Object.defineProperty(exports, "CreateGameRequest", {
  enumerable: true,
  get: function get() {
    return _CreateGameRequest["default"];
  }
});
Object.defineProperty(exports, "CreatePlayerRequest", {
  enumerable: true,
  get: function get() {
    return _CreatePlayerRequest["default"];
  }
});
Object.defineProperty(exports, "CurrenciesApi", {
  enumerable: true,
  get: function get() {
    return _CurrenciesApi["default"];
  }
});
Object.defineProperty(exports, "CurrencyModel", {
  enumerable: true,
  get: function get() {
    return _CurrencyModel["default"];
  }
});
Object.defineProperty(exports, "GameModel", {
  enumerable: true,
  get: function get() {
    return _GameModel["default"];
  }
});
Object.defineProperty(exports, "GamesApi", {
  enumerable: true,
  get: function get() {
    return _GamesApi["default"];
  }
});
Object.defineProperty(exports, "GetCurrencies200ResponseInner", {
  enumerable: true,
  get: function get() {
    return _GetCurrencies200ResponseInner["default"];
  }
});
Object.defineProperty(exports, "GetCurrencies200ResponseInnerAllOf", {
  enumerable: true,
  get: function get() {
    return _GetCurrencies200ResponseInnerAllOf["default"];
  }
});
Object.defineProperty(exports, "GetCurrencyFees200Response", {
  enumerable: true,
  get: function get() {
    return _GetCurrencyFees200Response["default"];
  }
});
Object.defineProperty(exports, "MintCurrencyRequest", {
  enumerable: true,
  get: function get() {
    return _MintCurrencyRequest["default"];
  }
});
Object.defineProperty(exports, "PlayerModel", {
  enumerable: true,
  get: function get() {
    return _PlayerModel["default"];
  }
});
Object.defineProperty(exports, "PlayersApi", {
  enumerable: true,
  get: function get() {
    return _PlayersApi["default"];
  }
});
Object.defineProperty(exports, "SetCurrencyFeesRequest", {
  enumerable: true,
  get: function get() {
    return _SetCurrencyFeesRequest["default"];
  }
});
Object.defineProperty(exports, "TransactionModel", {
  enumerable: true,
  get: function get() {
    return _TransactionModel["default"];
  }
});
Object.defineProperty(exports, "TransactionsApi", {
  enumerable: true,
  get: function get() {
    return _TransactionsApi["default"];
  }
});
Object.defineProperty(exports, "TransferCurrencyRequest", {
  enumerable: true,
  get: function get() {
    return _TransferCurrencyRequest["default"];
  }
});
Object.defineProperty(exports, "UpdateGameRequest", {
  enumerable: true,
  get: function get() {
    return _UpdateGameRequest["default"];
  }
});
Object.defineProperty(exports, "UpdatePlayerRequest", {
  enumerable: true,
  get: function get() {
    return _UpdatePlayerRequest["default"];
  }
});
Object.defineProperty(exports, "WalletModel", {
  enumerable: true,
  get: function get() {
    return _WalletModel["default"];
  }
});
Object.defineProperty(exports, "WalletsApi", {
  enumerable: true,
  get: function get() {
    return _WalletsApi["default"];
  }
});
Object.defineProperty(exports, "WriteContractRequest", {
  enumerable: true,
  get: function get() {
    return _WriteContractRequest["default"];
  }
});

var _ApiClient = _interopRequireDefault(require("./ApiClient"));

var _AuthGame200Response = _interopRequireDefault(require("./model/AuthGame200Response"));

var _AuthGame200ResponseAllOf = _interopRequireDefault(require("./model/AuthGame200ResponseAllOf"));

var _AuthGame200ResponseAllOf2 = _interopRequireDefault(require("./model/AuthGame200ResponseAllOf1"));

var _AuthPlayer200Response = _interopRequireDefault(require("./model/AuthPlayer200Response"));

var _BatchTransferCurrencyRequest = _interopRequireDefault(require("./model/BatchTransferCurrencyRequest"));

var _BurnCurrencyRequest = _interopRequireDefault(require("./model/BurnCurrencyRequest"));

var _ContractModel = _interopRequireDefault(require("./model/ContractModel"));

var _CreateContractRequest = _interopRequireDefault(require("./model/CreateContractRequest"));

var _CreateCurrency200Response = _interopRequireDefault(require("./model/CreateCurrency200Response"));

var _CreateCurrency200ResponseAllOf = _interopRequireDefault(require("./model/CreateCurrency200ResponseAllOf"));

var _CreateCurrency200ResponseAllOfContract = _interopRequireDefault(require("./model/CreateCurrency200ResponseAllOfContract"));

var _CreateCurrency200ResponseAllOfContractAllOf = _interopRequireDefault(require("./model/CreateCurrency200ResponseAllOfContractAllOf"));

var _CreateCurrencyRequest = _interopRequireDefault(require("./model/CreateCurrencyRequest"));

var _CreateGameRequest = _interopRequireDefault(require("./model/CreateGameRequest"));

var _CreatePlayerRequest = _interopRequireDefault(require("./model/CreatePlayerRequest"));

var _CurrencyModel = _interopRequireDefault(require("./model/CurrencyModel"));

var _GameModel = _interopRequireDefault(require("./model/GameModel"));

var _GetCurrencies200ResponseInner = _interopRequireDefault(require("./model/GetCurrencies200ResponseInner"));

var _GetCurrencies200ResponseInnerAllOf = _interopRequireDefault(require("./model/GetCurrencies200ResponseInnerAllOf"));

var _GetCurrencyFees200Response = _interopRequireDefault(require("./model/GetCurrencyFees200Response"));

var _MintCurrencyRequest = _interopRequireDefault(require("./model/MintCurrencyRequest"));

var _PlayerModel = _interopRequireDefault(require("./model/PlayerModel"));

var _SetCurrencyFeesRequest = _interopRequireDefault(require("./model/SetCurrencyFeesRequest"));

var _TransactionModel = _interopRequireDefault(require("./model/TransactionModel"));

var _TransferCurrencyRequest = _interopRequireDefault(require("./model/TransferCurrencyRequest"));

var _UpdateGameRequest = _interopRequireDefault(require("./model/UpdateGameRequest"));

var _UpdatePlayerRequest = _interopRequireDefault(require("./model/UpdatePlayerRequest"));

var _WalletModel = _interopRequireDefault(require("./model/WalletModel"));

var _WriteContractRequest = _interopRequireDefault(require("./model/WriteContractRequest"));

var _ContractsApi = _interopRequireDefault(require("./api/ContractsApi"));

var _CurrenciesApi = _interopRequireDefault(require("./api/CurrenciesApi"));

var _GamesApi = _interopRequireDefault(require("./api/GamesApi"));

var _PlayersApi = _interopRequireDefault(require("./api/PlayersApi"));

var _TransactionsApi = _interopRequireDefault(require("./api/TransactionsApi"));

var _WalletsApi = _interopRequireDefault(require("./api/WalletsApi"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }