"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

var _WalletModel = _interopRequireDefault(require("./WalletModel"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

/**
 * The AuthGame200ResponseAllOf1 model module.
 * @module model/AuthGame200ResponseAllOf1
 * @version 1.0.1
 */
var AuthGame200ResponseAllOf1 = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>AuthGame200ResponseAllOf1</code>.
   * @alias module:model/AuthGame200ResponseAllOf1
   */
  function AuthGame200ResponseAllOf1() {
    _classCallCheck(this, AuthGame200ResponseAllOf1);

    AuthGame200ResponseAllOf1.initialize(this);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(AuthGame200ResponseAllOf1, null, [{
    key: "initialize",
    value: function initialize(obj) {}
    /**
     * Constructs a <code>AuthGame200ResponseAllOf1</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/AuthGame200ResponseAllOf1} obj Optional instance to populate.
     * @return {module:model/AuthGame200ResponseAllOf1} The populated <code>AuthGame200ResponseAllOf1</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new AuthGame200ResponseAllOf1();

        if (data.hasOwnProperty('fundingWallet')) {
          obj['fundingWallet'] = _WalletModel["default"].constructFromObject(data['fundingWallet']);
        }
      }

      return obj;
    }
  }]);

  return AuthGame200ResponseAllOf1;
}();
/**
 * @member {module:model/WalletModel} fundingWallet
 */


AuthGame200ResponseAllOf1.prototype['fundingWallet'] = undefined;
var _default = AuthGame200ResponseAllOf1;
exports["default"] = _default;