"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

var _AuthGame200ResponseAllOf = _interopRequireDefault(require("./AuthGame200ResponseAllOf"));

var _PlayerModel = _interopRequireDefault(require("./PlayerModel"));

var _WalletModel = _interopRequireDefault(require("./WalletModel"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

/**
 * The AuthPlayer200Response model module.
 * @module model/AuthPlayer200Response
 * @version 1.0.1
 */
var AuthPlayer200Response = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>AuthPlayer200Response</code>.
   * @alias module:model/AuthPlayer200Response
   * @implements module:model/PlayerModel
   * @implements module:model/AuthGame200ResponseAllOf
   */
  function AuthPlayer200Response() {
    _classCallCheck(this, AuthPlayer200Response);

    _PlayerModel["default"].initialize(this);

    _AuthGame200ResponseAllOf["default"].initialize(this);

    AuthPlayer200Response.initialize(this);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(AuthPlayer200Response, null, [{
    key: "initialize",
    value: function initialize(obj) {}
    /**
     * Constructs a <code>AuthPlayer200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/AuthPlayer200Response} obj Optional instance to populate.
     * @return {module:model/AuthPlayer200Response} The populated <code>AuthPlayer200Response</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new AuthPlayer200Response();

        _PlayerModel["default"].constructFromObject(data, obj);

        _AuthGame200ResponseAllOf["default"].constructFromObject(data, obj);

        if (data.hasOwnProperty('id')) {
          obj['id'] = _ApiClient["default"].convertToType(data['id'], 'String');
        }

        if (data.hasOwnProperty('gameId')) {
          obj['gameId'] = _ApiClient["default"].convertToType(data['gameId'], 'String');
        }

        if (data.hasOwnProperty('walletId')) {
          obj['walletId'] = _ApiClient["default"].convertToType(data['walletId'], 'String');
        }

        if (data.hasOwnProperty('username')) {
          obj['username'] = _ApiClient["default"].convertToType(data['username'], 'String');
        }

        if (data.hasOwnProperty('accessToken')) {
          obj['accessToken'] = _ApiClient["default"].convertToType(data['accessToken'], 'String');
        }

        if (data.hasOwnProperty('updatedAt')) {
          obj['updatedAt'] = _ApiClient["default"].convertToType(data['updatedAt'], 'String');
        }

        if (data.hasOwnProperty('createdAt')) {
          obj['createdAt'] = _ApiClient["default"].convertToType(data['createdAt'], 'String');
        }

        if (data.hasOwnProperty('wallet')) {
          obj['wallet'] = _WalletModel["default"].constructFromObject(data['wallet']);
        }
      }

      return obj;
    }
  }]);

  return AuthPlayer200Response;
}();
/**
 * This field has not had a description added.
 * @member {String} id
 */


AuthPlayer200Response.prototype['id'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} gameId
 */

AuthPlayer200Response.prototype['gameId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} walletId
 */

AuthPlayer200Response.prototype['walletId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} username
 */

AuthPlayer200Response.prototype['username'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} accessToken
 */

AuthPlayer200Response.prototype['accessToken'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} updatedAt
 */

AuthPlayer200Response.prototype['updatedAt'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} createdAt
 */

AuthPlayer200Response.prototype['createdAt'] = undefined;
/**
 * @member {module:model/WalletModel} wallet
 */

AuthPlayer200Response.prototype['wallet'] = undefined; // Implement PlayerModel interface:

/**
 * This field has not had a description added.
 * @member {String} id
 */

_PlayerModel["default"].prototype['id'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} gameId
 */

_PlayerModel["default"].prototype['gameId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} walletId
 */

_PlayerModel["default"].prototype['walletId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} username
 */

_PlayerModel["default"].prototype['username'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} accessToken
 */

_PlayerModel["default"].prototype['accessToken'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} updatedAt
 */

_PlayerModel["default"].prototype['updatedAt'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} createdAt
 */

_PlayerModel["default"].prototype['createdAt'] = undefined; // Implement AuthGame200ResponseAllOf interface:

/**
 * @member {module:model/WalletModel} wallet
 */

_AuthGame200ResponseAllOf["default"].prototype['wallet'] = undefined;
var _default = AuthPlayer200Response;
exports["default"] = _default;