"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

var _ContractModel = _interopRequireDefault(require("./ContractModel"));

var _CreateCurrency200ResponseAllOfContractAllOf = _interopRequireDefault(require("./CreateCurrency200ResponseAllOfContractAllOf"));

var _TransactionModel = _interopRequireDefault(require("./TransactionModel"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

/**
 * The CreateCurrency200ResponseAllOfContract model module.
 * @module model/CreateCurrency200ResponseAllOfContract
 * @version 1.0.1
 */
var CreateCurrency200ResponseAllOfContract = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>CreateCurrency200ResponseAllOfContract</code>.
   * @alias module:model/CreateCurrency200ResponseAllOfContract
   * @implements module:model/ContractModel
   * @implements module:model/CreateCurrency200ResponseAllOfContractAllOf
   */
  function CreateCurrency200ResponseAllOfContract() {
    _classCallCheck(this, CreateCurrency200ResponseAllOfContract);

    _ContractModel["default"].initialize(this);

    _CreateCurrency200ResponseAllOfContractAllOf["default"].initialize(this);

    CreateCurrency200ResponseAllOfContract.initialize(this);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(CreateCurrency200ResponseAllOfContract, null, [{
    key: "initialize",
    value: function initialize(obj) {}
    /**
     * Constructs a <code>CreateCurrency200ResponseAllOfContract</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/CreateCurrency200ResponseAllOfContract} obj Optional instance to populate.
     * @return {module:model/CreateCurrency200ResponseAllOfContract} The populated <code>CreateCurrency200ResponseAllOfContract</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new CreateCurrency200ResponseAllOfContract();

        _ContractModel["default"].constructFromObject(data, obj);

        _CreateCurrency200ResponseAllOfContractAllOf["default"].constructFromObject(data, obj);

        if (data.hasOwnProperty('id')) {
          obj['id'] = _ApiClient["default"].convertToType(data['id'], 'String');
        }

        if (data.hasOwnProperty('gameId')) {
          obj['gameId'] = _ApiClient["default"].convertToType(data['gameId'], 'String');
        }

        if (data.hasOwnProperty('chain')) {
          obj['chain'] = _ApiClient["default"].convertToType(data['chain'], 'String');
        }

        if (data.hasOwnProperty('abi')) {
          obj['abi'] = _ApiClient["default"].convertToType(data['abi'], Object);
        }

        if (data.hasOwnProperty('type')) {
          obj['type'] = _ApiClient["default"].convertToType(data['type'], 'String');
        }

        if (data.hasOwnProperty('address')) {
          obj['address'] = _ApiClient["default"].convertToType(data['address'], 'String');
        }

        if (data.hasOwnProperty('updatedAt')) {
          obj['updatedAt'] = _ApiClient["default"].convertToType(data['updatedAt'], 'String');
        }

        if (data.hasOwnProperty('createdAt')) {
          obj['createdAt'] = _ApiClient["default"].convertToType(data['createdAt'], 'String');
        }

        if (data.hasOwnProperty('transactions')) {
          obj['transactions'] = _ApiClient["default"].convertToType(data['transactions'], [_TransactionModel["default"]]);
        }
      }

      return obj;
    }
  }]);

  return CreateCurrency200ResponseAllOfContract;
}();
/**
 * This field has not had a description added.
 * @member {String} id
 */


CreateCurrency200ResponseAllOfContract.prototype['id'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} gameId
 */

CreateCurrency200ResponseAllOfContract.prototype['gameId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} chain
 */

CreateCurrency200ResponseAllOfContract.prototype['chain'] = undefined;
/**
 * This field has not had a description added.
 * @member {Object} abi
 */

CreateCurrency200ResponseAllOfContract.prototype['abi'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} type
 */

CreateCurrency200ResponseAllOfContract.prototype['type'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} address
 */

CreateCurrency200ResponseAllOfContract.prototype['address'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} updatedAt
 */

CreateCurrency200ResponseAllOfContract.prototype['updatedAt'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} createdAt
 */

CreateCurrency200ResponseAllOfContract.prototype['createdAt'] = undefined;
/**
 * @member {Array.<module:model/TransactionModel>} transactions
 */

CreateCurrency200ResponseAllOfContract.prototype['transactions'] = undefined; // Implement ContractModel interface:

/**
 * This field has not had a description added.
 * @member {String} id
 */

_ContractModel["default"].prototype['id'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} gameId
 */

_ContractModel["default"].prototype['gameId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} chain
 */

_ContractModel["default"].prototype['chain'] = undefined;
/**
 * This field has not had a description added.
 * @member {Object} abi
 */

_ContractModel["default"].prototype['abi'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} type
 */

_ContractModel["default"].prototype['type'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} address
 */

_ContractModel["default"].prototype['address'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} updatedAt
 */

_ContractModel["default"].prototype['updatedAt'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} createdAt
 */

_ContractModel["default"].prototype['createdAt'] = undefined; // Implement CreateCurrency200ResponseAllOfContractAllOf interface:

/**
 * @member {Array.<module:model/TransactionModel>} transactions
 */

_CreateCurrency200ResponseAllOfContractAllOf["default"].prototype['transactions'] = undefined;
var _default = CreateCurrency200ResponseAllOfContract;
exports["default"] = _default;