"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

/**
 * The CurrencyModel model module.
 * @module model/CurrencyModel
 * @version 1.0.1
 */
var CurrencyModel = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>CurrencyModel</code>.
   * @alias module:model/CurrencyModel
   */
  function CurrencyModel() {
    _classCallCheck(this, CurrencyModel);

    CurrencyModel.initialize(this);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(CurrencyModel, null, [{
    key: "initialize",
    value: function initialize(obj) {}
    /**
     * Constructs a <code>CurrencyModel</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/CurrencyModel} obj Optional instance to populate.
     * @return {module:model/CurrencyModel} The populated <code>CurrencyModel</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new CurrencyModel();

        if (data.hasOwnProperty('id')) {
          obj['id'] = _ApiClient["default"].convertToType(data['id'], 'String');
        }

        if (data.hasOwnProperty('gameId')) {
          obj['gameId'] = _ApiClient["default"].convertToType(data['gameId'], 'String');
        }

        if (data.hasOwnProperty('contractId')) {
          obj['contractId'] = _ApiClient["default"].convertToType(data['contractId'], 'String');
        }

        if (data.hasOwnProperty('name')) {
          obj['name'] = _ApiClient["default"].convertToType(data['name'], 'String');
        }

        if (data.hasOwnProperty('symbol')) {
          obj['symbol'] = _ApiClient["default"].convertToType(data['symbol'], 'String');
        }

        if (data.hasOwnProperty('supplyCap')) {
          obj['supplyCap'] = _ApiClient["default"].convertToType(data['supplyCap'], 'Number');
        }

        if (data.hasOwnProperty('updatedAt')) {
          obj['updatedAt'] = _ApiClient["default"].convertToType(data['updatedAt'], 'String');
        }

        if (data.hasOwnProperty('createdAt')) {
          obj['createdAt'] = _ApiClient["default"].convertToType(data['createdAt'], 'String');
        }
      }

      return obj;
    }
  }]);

  return CurrencyModel;
}();
/**
 * This field has not had a description added.
 * @member {String} id
 */


CurrencyModel.prototype['id'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} gameId
 */

CurrencyModel.prototype['gameId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} contractId
 */

CurrencyModel.prototype['contractId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} name
 */

CurrencyModel.prototype['name'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} symbol
 */

CurrencyModel.prototype['symbol'] = undefined;
/**
 * This field has not had a description added.
 * @member {Number} supplyCap
 */

CurrencyModel.prototype['supplyCap'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} updatedAt
 */

CurrencyModel.prototype['updatedAt'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} createdAt
 */

CurrencyModel.prototype['createdAt'] = undefined;
var _default = CurrencyModel;
exports["default"] = _default;