"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

var _ContractModel = _interopRequireDefault(require("./ContractModel"));

var _CurrencyModel = _interopRequireDefault(require("./CurrencyModel"));

var _GetCurrencies200ResponseInnerAllOf = _interopRequireDefault(require("./GetCurrencies200ResponseInnerAllOf"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

/**
 * The GetCurrencies200ResponseInner model module.
 * @module model/GetCurrencies200ResponseInner
 * @version 1.0.1
 */
var GetCurrencies200ResponseInner = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>GetCurrencies200ResponseInner</code>.
   * @alias module:model/GetCurrencies200ResponseInner
   * @implements module:model/CurrencyModel
   * @implements module:model/GetCurrencies200ResponseInnerAllOf
   */
  function GetCurrencies200ResponseInner() {
    _classCallCheck(this, GetCurrencies200ResponseInner);

    _CurrencyModel["default"].initialize(this);

    _GetCurrencies200ResponseInnerAllOf["default"].initialize(this);

    GetCurrencies200ResponseInner.initialize(this);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(GetCurrencies200ResponseInner, null, [{
    key: "initialize",
    value: function initialize(obj) {}
    /**
     * Constructs a <code>GetCurrencies200ResponseInner</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/GetCurrencies200ResponseInner} obj Optional instance to populate.
     * @return {module:model/GetCurrencies200ResponseInner} The populated <code>GetCurrencies200ResponseInner</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new GetCurrencies200ResponseInner();

        _CurrencyModel["default"].constructFromObject(data, obj);

        _GetCurrencies200ResponseInnerAllOf["default"].constructFromObject(data, obj);

        if (data.hasOwnProperty('id')) {
          obj['id'] = _ApiClient["default"].convertToType(data['id'], 'String');
        }

        if (data.hasOwnProperty('gameId')) {
          obj['gameId'] = _ApiClient["default"].convertToType(data['gameId'], 'String');
        }

        if (data.hasOwnProperty('contractId')) {
          obj['contractId'] = _ApiClient["default"].convertToType(data['contractId'], 'String');
        }

        if (data.hasOwnProperty('name')) {
          obj['name'] = _ApiClient["default"].convertToType(data['name'], 'String');
        }

        if (data.hasOwnProperty('symbol')) {
          obj['symbol'] = _ApiClient["default"].convertToType(data['symbol'], 'String');
        }

        if (data.hasOwnProperty('supplyCap')) {
          obj['supplyCap'] = _ApiClient["default"].convertToType(data['supplyCap'], 'Number');
        }

        if (data.hasOwnProperty('updatedAt')) {
          obj['updatedAt'] = _ApiClient["default"].convertToType(data['updatedAt'], 'String');
        }

        if (data.hasOwnProperty('createdAt')) {
          obj['createdAt'] = _ApiClient["default"].convertToType(data['createdAt'], 'String');
        }

        if (data.hasOwnProperty('contract')) {
          obj['contract'] = _ContractModel["default"].constructFromObject(data['contract']);
        }
      }

      return obj;
    }
  }]);

  return GetCurrencies200ResponseInner;
}();
/**
 * This field has not had a description added.
 * @member {String} id
 */


GetCurrencies200ResponseInner.prototype['id'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} gameId
 */

GetCurrencies200ResponseInner.prototype['gameId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} contractId
 */

GetCurrencies200ResponseInner.prototype['contractId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} name
 */

GetCurrencies200ResponseInner.prototype['name'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} symbol
 */

GetCurrencies200ResponseInner.prototype['symbol'] = undefined;
/**
 * This field has not had a description added.
 * @member {Number} supplyCap
 */

GetCurrencies200ResponseInner.prototype['supplyCap'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} updatedAt
 */

GetCurrencies200ResponseInner.prototype['updatedAt'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} createdAt
 */

GetCurrencies200ResponseInner.prototype['createdAt'] = undefined;
/**
 * @member {module:model/ContractModel} contract
 */

GetCurrencies200ResponseInner.prototype['contract'] = undefined; // Implement CurrencyModel interface:

/**
 * This field has not had a description added.
 * @member {String} id
 */

_CurrencyModel["default"].prototype['id'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} gameId
 */

_CurrencyModel["default"].prototype['gameId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} contractId
 */

_CurrencyModel["default"].prototype['contractId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} name
 */

_CurrencyModel["default"].prototype['name'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} symbol
 */

_CurrencyModel["default"].prototype['symbol'] = undefined;
/**
 * This field has not had a description added.
 * @member {Number} supplyCap
 */

_CurrencyModel["default"].prototype['supplyCap'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} updatedAt
 */

_CurrencyModel["default"].prototype['updatedAt'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} createdAt
 */

_CurrencyModel["default"].prototype['createdAt'] = undefined; // Implement GetCurrencies200ResponseInnerAllOf interface:

/**
 * @member {module:model/ContractModel} contract
 */

_GetCurrencies200ResponseInnerAllOf["default"].prototype['contract'] = undefined;
var _default = GetCurrencies200ResponseInner;
exports["default"] = _default;