"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

/**
 * The PlayerModel model module.
 * @module model/PlayerModel
 * @version 1.0.1
 */
var PlayerModel = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>PlayerModel</code>.
   * @alias module:model/PlayerModel
   */
  function PlayerModel() {
    _classCallCheck(this, PlayerModel);

    PlayerModel.initialize(this);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(PlayerModel, null, [{
    key: "initialize",
    value: function initialize(obj) {}
    /**
     * Constructs a <code>PlayerModel</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/PlayerModel} obj Optional instance to populate.
     * @return {module:model/PlayerModel} The populated <code>PlayerModel</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new PlayerModel();

        if (data.hasOwnProperty('id')) {
          obj['id'] = _ApiClient["default"].convertToType(data['id'], 'String');
        }

        if (data.hasOwnProperty('gameId')) {
          obj['gameId'] = _ApiClient["default"].convertToType(data['gameId'], 'String');
        }

        if (data.hasOwnProperty('walletId')) {
          obj['walletId'] = _ApiClient["default"].convertToType(data['walletId'], 'String');
        }

        if (data.hasOwnProperty('username')) {
          obj['username'] = _ApiClient["default"].convertToType(data['username'], 'String');
        }

        if (data.hasOwnProperty('accessToken')) {
          obj['accessToken'] = _ApiClient["default"].convertToType(data['accessToken'], 'String');
        }

        if (data.hasOwnProperty('updatedAt')) {
          obj['updatedAt'] = _ApiClient["default"].convertToType(data['updatedAt'], 'String');
        }

        if (data.hasOwnProperty('createdAt')) {
          obj['createdAt'] = _ApiClient["default"].convertToType(data['createdAt'], 'String');
        }
      }

      return obj;
    }
  }]);

  return PlayerModel;
}();
/**
 * This field has not had a description added.
 * @member {String} id
 */


PlayerModel.prototype['id'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} gameId
 */

PlayerModel.prototype['gameId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} walletId
 */

PlayerModel.prototype['walletId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} username
 */

PlayerModel.prototype['username'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} accessToken
 */

PlayerModel.prototype['accessToken'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} updatedAt
 */

PlayerModel.prototype['updatedAt'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} createdAt
 */

PlayerModel.prototype['createdAt'] = undefined;
var _default = PlayerModel;
exports["default"] = _default;