"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ApiClient = _interopRequireDefault(require("../ApiClient"));

var _CurrencyModel = _interopRequireDefault(require("./CurrencyModel"));

var _V1CurrenciesGet200ResponseAllOf = _interopRequireDefault(require("./V1CurrenciesGet200ResponseAllOf"));

var _V1CurrenciesGet200ResponseAllOfContract = _interopRequireDefault(require("./V1CurrenciesGet200ResponseAllOfContract"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

/**
 * The V1CurrenciesGet200Response model module.
 * @module model/V1CurrenciesGet200Response
 * @version 1.0.0
 */
var V1CurrenciesGet200Response = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>V1CurrenciesGet200Response</code>.
   * @alias module:model/V1CurrenciesGet200Response
   * @implements module:model/CurrencyModel
   * @implements module:model/V1CurrenciesGet200ResponseAllOf
   */
  function V1CurrenciesGet200Response() {
    _classCallCheck(this, V1CurrenciesGet200Response);

    _CurrencyModel["default"].initialize(this);

    _V1CurrenciesGet200ResponseAllOf["default"].initialize(this);

    V1CurrenciesGet200Response.initialize(this);
  }
  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */


  _createClass(V1CurrenciesGet200Response, null, [{
    key: "initialize",
    value: function initialize(obj) {}
    /**
     * Constructs a <code>V1CurrenciesGet200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/V1CurrenciesGet200Response} obj Optional instance to populate.
     * @return {module:model/V1CurrenciesGet200Response} The populated <code>V1CurrenciesGet200Response</code> instance.
     */

  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new V1CurrenciesGet200Response();

        _CurrencyModel["default"].constructFromObject(data, obj);

        _V1CurrenciesGet200ResponseAllOf["default"].constructFromObject(data, obj);

        if (data.hasOwnProperty('id')) {
          obj['id'] = _ApiClient["default"].convertToType(data['id'], 'String');
        }

        if (data.hasOwnProperty('gameId')) {
          obj['gameId'] = _ApiClient["default"].convertToType(data['gameId'], 'String');
        }

        if (data.hasOwnProperty('contractId')) {
          obj['contractId'] = _ApiClient["default"].convertToType(data['contractId'], 'String');
        }

        if (data.hasOwnProperty('name')) {
          obj['name'] = _ApiClient["default"].convertToType(data['name'], 'String');
        }

        if (data.hasOwnProperty('symbol')) {
          obj['symbol'] = _ApiClient["default"].convertToType(data['symbol'], 'String');
        }

        if (data.hasOwnProperty('supplyCap')) {
          obj['supplyCap'] = _ApiClient["default"].convertToType(data['supplyCap'], 'Number');
        }

        if (data.hasOwnProperty('updatedAt')) {
          obj['updatedAt'] = _ApiClient["default"].convertToType(data['updatedAt'], 'String');
        }

        if (data.hasOwnProperty('createdAt')) {
          obj['createdAt'] = _ApiClient["default"].convertToType(data['createdAt'], 'String');
        }

        if (data.hasOwnProperty('contract')) {
          obj['contract'] = _V1CurrenciesGet200ResponseAllOfContract["default"].constructFromObject(data['contract']);
        }
      }

      return obj;
    }
  }]);

  return V1CurrenciesGet200Response;
}();
/**
 * This field has not had a description added.
 * @member {String} id
 */


V1CurrenciesGet200Response.prototype['id'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} gameId
 */

V1CurrenciesGet200Response.prototype['gameId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} contractId
 */

V1CurrenciesGet200Response.prototype['contractId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} name
 */

V1CurrenciesGet200Response.prototype['name'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} symbol
 */

V1CurrenciesGet200Response.prototype['symbol'] = undefined;
/**
 * This field has not had a description added.
 * @member {Number} supplyCap
 */

V1CurrenciesGet200Response.prototype['supplyCap'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} updatedAt
 */

V1CurrenciesGet200Response.prototype['updatedAt'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} createdAt
 */

V1CurrenciesGet200Response.prototype['createdAt'] = undefined;
/**
 * @member {module:model/V1CurrenciesGet200ResponseAllOfContract} contract
 */

V1CurrenciesGet200Response.prototype['contract'] = undefined; // Implement CurrencyModel interface:

/**
 * This field has not had a description added.
 * @member {String} id
 */

_CurrencyModel["default"].prototype['id'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} gameId
 */

_CurrencyModel["default"].prototype['gameId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} contractId
 */

_CurrencyModel["default"].prototype['contractId'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} name
 */

_CurrencyModel["default"].prototype['name'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} symbol
 */

_CurrencyModel["default"].prototype['symbol'] = undefined;
/**
 * This field has not had a description added.
 * @member {Number} supplyCap
 */

_CurrencyModel["default"].prototype['supplyCap'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} updatedAt
 */

_CurrencyModel["default"].prototype['updatedAt'] = undefined;
/**
 * This field has not had a description added.
 * @member {String} createdAt
 */

_CurrencyModel["default"].prototype['createdAt'] = undefined; // Implement V1CurrenciesGet200ResponseAllOf interface:

/**
 * @member {module:model/V1CurrenciesGet200ResponseAllOfContract} contract
 */

_V1CurrenciesGet200ResponseAllOf["default"].prototype['contract'] = undefined;
var _default = V1CurrenciesGet200Response;
exports["default"] = _default;